<?php
require ("includes/comunes.php");

$seccion = $_GET['seccion'];

if ($idioma==1) {
$titulo = "Acceso a Usuarios Registrados";
$meta_titulo = "Acceso a Usuarios Registrados";
$meta_desc = "";
$meta_key = "";
}
elseif ($idioma==2) {
	$titulo = "Employment - Jobs LimousineCC";
$meta_titulo = "Employment - Jobs LimousineCC";
$meta_desc = "By filling in the following form enter the labour exchange of LimousineCC. If you want to work as a conductor, administrative, commercial, accounting or lavacoches send us your resume.";
$meta_key = "Limousine driver, a driver luxury car driver, pilot cars, working as a driver, carrying car carrying vehicle, driving, driver of limousines";
}

elseif ($idioma==3) {
	$titulo = "Bourse de travail";
$meta_titulo = "Bourse de travail";
$meta_desc = "Rellenando el siguiente formulario entrará en la bolsa de trabajo de LimousineCC. Si desea trabajar como conductor, administrativo, comercial, contable o lavacoches envienos su curriculum.";
$meta_key = "";
}

if (isset($_GET['year_url'])) {$year_url = $_GET['year_url'];} else {$year_url = date('Y');}



PonCabecera($seccion,$titulo,$meta_titulo,$meta_desc,$meta_key);
pon_menu_2($seccion,'documentos');


	// *************************** MENU LATERAL **********************

echo "<div id=\"contenido_web\">";

//creamos 2 cajas

//echo $_SESSION['comi'];
//echo $_SESSION['comi'].'<br>'.$_SESSION['chofer'].'<br>'.$_SESSION['cliente'];

echo '<div id="div_presup_1">';


echo '<p class="c3 t6 negrita">DOCUMENTOS</p>';
$mod_sql = "SELECT * FROM POTENCIALES WHERE NUMERO = '".$_SESSION['numero']."' ";
	$result=odbc_exec($cid,$mod_sql)or die(exit("Error en odbc_exec"));
while ($fila=odbc_fetch_array($result)) {
	echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['REQUEST_URI'].'" enctype="multipart/form-data"  >';
	
	
		
	
	
	if($HTTP_POST_FILES['userfile']){
		//tomo el valor de un elemento de tipo texto del formulario
		

		//datos del arhivo
	//	 $nombre_archivo =  'doc_clientes/'.$HTTP_POST_FILES['userfile']['name'].'_'.$fila['NUMERO'];
		 //echo $nombre_archivo.'adkfadf';exit();
		$tipo_archivo = $HTTP_POST_FILES['userfile']['type'];
		$tamano_archivo = $HTTP_POST_FILES['userfile']['size'];
		
		$extension= explode('.',$HTTP_POST_FILES['userfile']['name']);
		$nombre = filtro_url($extension[0]);
		$extension = $extension[count($extension)-1];
		$result = odbc_exec($cid,"SELECT MAX(NUMERO) as numero_max FROM REG_DOCS_ENTRA ");
		while($fila3=odbc_fetch_array($result)){
						$num_max = $fila3['numero_max']+1;
						
				/*		echo "INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CLIENTE,USUCREA,MEDIO_REC,USUARIO,USUARIO_CWEB) 
					values ('0$num_max','".date('Y-m-d')."','09','$nombre_archivo','".$_POST['tipo']."','".$fila['NUMERO']."','".$_SESSION['usuario']."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."')";
						exit();
					*/
				}
		
		$nombre_archivo = 'doc_'.$_GET['seccion'].'/0'.$num_max.'.'.$extension;
		
		
		
		//compruebo si las características del archivo son las que deseo
		if ($tamano_archivo > 10000000000) {
   			 echo "El tamaño es demasiado grande";
		}else{
    		if (move_uploaded_file($HTTP_POST_FILES['userfile']['tmp_name'],$nombre_archivo)){
       			echo "<br>El archivo ha sido cargado correctamente.<br>";
       			
       			
					switch ($_GET['seccion']){
						case 'proveedores':{
							odbc_exec($cid,
								"INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CONTACTO,USUCREA,FECHACREA,MEDIO_REC,USUARIO,USUARIO_CWEB,ULTMODI,PROVEE,COMENTARIO,COMISIO) 
								values ('0$num_max','".date('Y-m-d')."','09','c:/AppServ/www/comerciales/$nombre_archivo','".$_POST['tipo']."','".$_SESSION['numero']."','".$_SESSION['usuario']."','".date('YmdH:i')."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."','".date('YmdH:i')."','".$_SESSION['provee']."','".$_POST['observaciones']."','".$_SESSION['comi']."')");
							break;
						}
						case 'agentes':{
							odbc_exec($cid,
							"INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CONTACTO,USUCREA,FECHACREA,MEDIO_REC,USUARIO,USUARIO_CWEB,ULTMODI,AGENTE,COMENTARIO,COMISIO) 
							values ('0$num_max','".date('Y-m-d')."','09','c:/AppServ/www/comerciales/$nombre_archivo','".$_POST['tipo']."','".$_SESSION['numero']."','".$_SESSION['usuario']."','".date('YmdH:i')."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."','".date('YmdH:i')."','".$_SESSION['agente']."','".$_POST['observaciones']."','".$_SESSION['comi']."')");
							break;
						}
						case 'chofers':{
								odbc_exec($cid,
							"INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CONTACTO,USUCREA,FECHACREA,MEDIO_REC,USUARIO,USUARIO_CWEB,ULTMODI,CHOFER,COMENTARIO,COMISIO) 
							values ('0$num_max','".date('Y-m-d')."','09','c:/AppServ/www/comerciales/$nombre_archivo','".$_POST['tipo']."','".$_SESSION['numero']."','".$_SESSION['usuario']."','".date('YmdH:i')."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."','".date('YmdH:i')."','".$_SESSION['chofer']."','".$_POST['observaciones']."','".$_SESSION['comi']."')");
							break;
						}
					}
					/*
					odbc_exec($cid,
					"INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CONTACTO,USUCREA,FECHACREA,MEDIO_REC,USUARIO,USUARIO_CWEB,ULTMODI,PROVEE,CHOFER,AGENTE,COMENTARIO) 
					values ('0$num_max','".date('Y-m-d')."','09','c:/AppServ/www/comerciales/$nombre_archivo','".$_POST['tipo']."','".$_SESSION['numero']."','".$_SESSION['usuario']."','".date('YmdH:i')."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."','".date('YmdH:i')."','".$_SESSION['provee']."','".$_SESSION['chofer']."','".$_SESSION['agente']."','".$_POST['observaciones']."')");
				*/
					//damos el mensaje como que hay un presupuesto
					$fecha = date("Y-m-d H:i:s");
					$msn = "HAY UN NUEVO ARCHIVO PENDIENTE DE SER REVISADO. ".$_POST['tipo']." - RUTA : c:/AppServ/www/comerciales/".$nombre_archivo;
					$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','RM','".$fecha.".000000','$msn','0')";
					$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
					$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','IS','".$fecha.".000000','$msn','0')";
					$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
    		
       			
       			
       			
       			
       			
       			
       			
       			
    		}else{
       		echo "<br>Ocurrió algún error al subir el fichero. No pudo guardarse.<br>";
    		}
		} 
	}
	
	if($_GET['eliminar']){
			//echo "DELETE FROM REG_DOCS_ENTRA WEHRE NUMERO='".$_GET['eliminar']."' ";
			$sql_datos = "DELETE FROM REG_DOCS_ENTRA where NUMERO='".$_GET['eliminar']."'  ";
    			 			
					$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
	}
	switch ($_GET['seccion']){
						case 'proveedores':{
							$consulta = " AND PROVEE!='' ";
							break;
						}
						case 'agentes':{
							$consulta = " AND AGENTE!='' ";
							break;
						}
						case 'chofers':{
							$consulta = " AND CHOFER!=''";
							break;
						}
					}
	
    $sql_datos = "SELECT * FROM REG_DOCS_ENTRA WHERE TIPO_DOCU!='66' AND CONTACTO='".$fila['NUMERO']."' AND (USUARIO_CWEB!='' OR TIPO_DOCU='57') ".$consulta." ";
    			 			
					$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
				
				while($fila2 = odbc_fetch_array($result)){
					//echo "SELECT * FROM TIPODOCUMENTO WHERE CODIGO='".$fila2['TIPO_DOCU']."' ";					
					
					$result2=odbc_exec($cid,"SELECT * FROM TIPODOCUMENTO WHERE CODIGO='".$fila2['TIPO_DOCU']."' ")or die(exit("Error en odbc_exec"));
				
					while($fila3 = odbc_fetch_array($result2)){
						//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
						$tipo = $fila3['NOMBRE'];
					}
					
					$tratado = $fila2['FECHA_TRATADO'];
					$url2 = str_replace('\\','/',$fila2['RUTADOCU']);
					
					$url2 = eregi_replace('c:/AppServ/www/comerciales/','',$url2);
					//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
					if($tratado){
						
						echo '<p> &nbsp;<br><img src="images/doc_clientes.jpg" style="vertical-align:middle"/> <a href="'.$url2.'" class="a_c3 negrita" target="_blank"> '.$tipo.'</a> - Tratado el '.$tratado;		
					}
					else{
						echo '<p> &nbsp;<br><img src="images/doc_clientes.jpg" style="vertical-align:middle"/> <a href="'.$url2.'" class="a_c3 negrita" target="_blank"> '.$tipo.'</a> 	';		
					}
				//ECHO'	<a href="#"  onclick="if (confirm(\'¿Desea eliminar este registro?\')) { '.$_SERVER['REQUEST_URI'].'&eliminar='.$fila2['NUMERO'].' }"  title="Eliminar" alt="Eliminar" ><img src="images/papelera.gif" /></a></p>';
					
				}
	?>
					
					<?
				echo '<p>&nbsp;</p>';
	
	
	/*
	$sql_datos = "SELECT * FROM REG_DOCS_ENTRA WHERE NUMERO='".$fila['NUMERO']."'  ";
	
	$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
	
	while($fila2 = odbc_fetch_array($result)){
		$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
	}
	if(is_file($archivo_adjunto)){
		'<a href="'.$archivo_adjunto.'" class="a_c3" >Documento del contrato</a>';
	}
	
	echo '<b>Adjunto: </b><input type="file" id="adjuntar" name="adjuntar" onchange="javascript: submit();" class="clase_input" />';
	*/
	
	echo '<div style="border:1px solid #ccc;background-color:#fff;padding:20px">
	<p>
	<b>Nuevo Documento : </b><input name="userfile" type="file" ><br><br>
	

	<b>Tipo de Dcumento: </b><select name="tipo">';
	$result=odbc_exec($cid,'SELECT * FROM TIPODOCUMENTO')or die(exit("Error en odbc_exec"));
				
				while($fila2 = odbc_fetch_array($result)){
					//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
					echo '<option value="'.$fila2['CODIGO'].'" >'.$fila2['NOMBRE'].'"</option>';
				}
	
	
	echo '</select><br><br>
	<b>Observaciones : </b><br>

	<textarea name="observaciones" rows="8" cols="50" ></textarea><br>


	<input type="submit" value="Subir Archivo" />
	</p>
	</div>';
    
    
    
    
	
	echo  '<script type="text/javascript">xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value);</script>';
	echo '<div id="pobla_prov"></div>';
	echo '<p>&nbsp;</p>';
	

	
	
	
	
	
	echo '</form>';	
	
}
echo '</div>'; //fin div_presup_1


echo '<div id="div_presup_2">';

echo '<div id="condicion_servicio"></div>';



echo '</div>'; //fin div_presup_2






echo "</div>";//fin contenido_web


pon_col_noticias();


	// *************************** MENU LATERAL **********************




PonPie();

  
//mysql_close();

?>